(function ($) {
    $(document).ready(function () {

        /* Search Icon*/
        $(".search-action").click(function (e) {
            e.preventDefault();
            $(this).toggleClass("icon-close");
            $(".search-dropdown").slideToggle("slow");
            $(".search-action .ion-search,.search-action .ion-close").toggleClass("ion-search ion-close");
        });

        /*Breaking News*/
        $(".breaking-news-feed .carousel-item").first().addClass("active");/*Back To Top*/
        if ($('#back-to-top').length) {
            var scrollTrigger = 100, /* px*/ backToTop = function () {
                var scrollTop = $(window).scrollTop();
                if (scrollTop > scrollTrigger) {
                    $('#back-to-top').addClass('show');
                } else {
                    $('#back-to-top').removeClass('show');
                }
            };
            backToTop();
            $(window).on('scroll', function () {
                backToTop();
            });
            $('#back-to-top').on('click', function (e) {
                e.preventDefault();
                $('html,body').animate({scrollTop: 0}, 700);
            });
        }

        /* Category Post Slider*/
        if (('.category-post-slider').length) {
            $('.post-slider').each(function () {
                $(this).slick({
                    slidesToShow: 4,
                    autoplay: true,
                    nextArrow: '<i class="ion-ios-arrow-right slider-right arrow-position f-2x"></i>',
                    prevArrow: '<i class="ion-ios-arrow-left arrow-position f-2x"></i>',
                    centerPadding: '0px',
                    centerMode: true,
                    responsive: [{breakpoint: 991, settings: {slidesToShow: 3}}, {
                        breakpoint: 768,
                        settings: {slidesToShow: 2}
                    }, {breakpoint: 480, settings: {slidesToShow: 1}}, {breakpoint: 320, settings: {slidesToShow: 1}}]
                });
            });
        }

        /* Most Popular Post*/
        if (('.pm-most-popular-post-3').length) {
            $('.pm-most-popular-post-3 > .row').each(function () {
                $(this).slick({
                    slidesToShow: 3,
                    autoplay: true,
                    nextArrow: '<i class="ion-ios-arrow-right slider-right arrow-position f-2x"></i>',
                    prevArrow: '<i class="ion-ios-arrow-left arrow-position f-2x"></i>',
                    centerPadding: '0px',
                    centerMode: true,
                    responsive: [{breakpoint: 768, settings: {slidesToShow: 3}}, {
                        breakpoint: 480,
                        settings: {slidesToShow: 2}
                    }, {breakpoint: 320, settings: {slidesToShow: 1}}]
                });
            });
        }

        /* Featured News*/
        if (('.pm-featured-news-post').length) {
            $('.pm-featured-news-2 > .row').each(function () {
                $(this).slick({
                    slidesToShow: 2,
                    autoplay: true,
                    nextArrow: '<i class="ion-ios-arrow-right slider-right arrow-position f-2x"></i>',
                    prevArrow: '<i class="ion-ios-arrow-left arrow-position f-2x"></i>',
                    centerPadding: '0px',
                    centerMode: true,
                    responsive: [{breakpoint: 768, settings: {slidesToShow: 2}}, {
                        breakpoint: 600,
                        settings: {slidesToShow: 1}
                    }]
                });
            });
        }

        /* Featured post 2 & 3*/
        if (('.block-category').length) {
            $('.featured-post-2').each(function () {
                $(this).slick({
                    slidesToShow: 3,
                    autoplay: true,
                    nextArrow: '<i class="ion-ios-arrow-right slider-right arrow-position f-2x"></i>',
                    prevArrow: '<i class="ion-ios-arrow-left arrow-position f-2x"></i>',
                    centerPadding: '0px',
                    centerMode: true,
                    responsive: [{breakpoint: 768, settings: {slidesToShow: 2}}, {
                        breakpoint: 600,
                        settings: {slidesToShow: 1}
                    }]
                });
            });

            $('.featured-post-3').each(function () {
                $(this).slick({
                    slidesToShow: 3,
                    autoplay: true,
                    nextArrow: '<i class="ion-ios-arrow-right slider-right arrow-position f-2x"></i>',
                    prevArrow: '<i class="ion-ios-arrow-left arrow-position f-2x"></i>',
                    centerPadding: '50px',
                    centerMode: true,
                    responsive: [{breakpoint: 768, settings: {slidesToShow: 2}}, {
                        breakpoint: 600,
                        settings: {slidesToShow: 1}
                    }]
                });
            });
        }

        /* Trading Post*/
        $('.trading-post-slider').each(function () {
            $(this).slick({
                vertical: true,
                slidesToShow: 4,
                slidesToScroll: 1,
                infinite: true,
                centerPadding: '0px',
                autoplay: true,
                centerMode: true,
                nextArrow: '<i class="ion-ios-arrow-up f-2x"></i>',
                prevArrow: '<i class="ion-ios-arrow-down f-2x"></i>',
                autoplaySpeed: 2000,
                responsive: [{breakpoint: 1024, settings: {slidesToShow: 3}}, {
                    breakpoint: 991,
                    settings: {slidesToShow: 2}
                }, {breakpoint: 768, settings: {slidesToShow: 2}}, {breakpoint: 480, settings: {slidesToShow: 2}}]
            });
        });

        /* Hamburg*/
        if (('.hamburg').length) {
            $('body').on('click', '.hamburg-action', function (e) {
                e.preventDefault();
                $(".hamburg-wrapper").addClass("hamburg-open");
                $(".hamburg-overlay").addClass("hamburg-overlay-has");
            });
            $('.hamburg-close').on('click', function (e) {
                $(".hamburg-wrapper").removeClass("hamburg-open");
                $(".hamburg-overlay").removeClass("hamburg-overlay-has");
            });
        }

        /* Mobile Nav*/
        $('.menu-xs-tri').on('click', function (e) {
            e.preventDefault();
            $(this).parents('.dropdown-arrow-down').find('ul.dropdown-menu').toggleClass('xs-menu-active');
        });
    });

    $(window).load(function () {

        /*masonry*/
        if ($(".category-filter").length) {
            var $container = $('.category-filter .products');
            $container.isotope({filter: '*', animationOptions: {duration: 750, easing: 'linear', queue: false}});
            $('.category-filter-wrap a').click(function () {
                $('.category-filter-wrap .current').removeClass('current');
                $(this).addClass('current');
                var selector = $(this).attr('data-filter');
                $container.isotope({
                    filter: selector,
                    animationOptions: {duration: 750, easing: 'linear', queue: false}
                });
                return false;
            });
        }

    });
})(jQuery);